<div id="div-that-holds-the-content"></div>

<script>

    var ajax = {};
    ajax.x = function () {
        if (typeof XMLHttpRequest !== 'undefined') {
            return new XMLHttpRequest();
        }
        var versions = [
            "MSXML2.XmlHttp.6.0",
            "MSXML2.XmlHttp.5.0",
            "MSXML2.XmlHttp.4.0",
            "MSXML2.XmlHttp.3.0",
            "MSXML2.XmlHttp.2.0",
            "Microsoft.XmlHttp"
        ];
    
        var xhr;
        for (var i = 0; i < versions.length; i++) {
            try {
                xhr = new ActiveXObject(versions[i]);
                break;
            } catch (e) {
            }
        }
        return xhr;
    };
    
    ajax.send = function (url, callback, method, data, async) {
        if (async === undefined) {
            async = true;
        }
        var x = ajax.x();
        x.open(method, url, async);
        x.onreadystatechange = function () {
            if (x.readyState == 4) {
                callback(x.responseText)
            }
        };
        if (method == 'POST') {
            x.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');
        }
        x.send(data)
    };
    
    ajax.get = function (url, data, callback, async) {
        var query = [];
        for (var key in data) {
            query.push(encodeURIComponent(key) + '=' + encodeURIComponent(data[key]));
        }
        ajax.send(url + (query.length ? '?' + query.join('&') : ''), callback, 'GET', null, async)
    };
    
    ajax.post = function (url, data, callback, async) {
        var query = [];
        for (var key in data) {
            query.push(encodeURIComponent(key) + '=' + encodeURIComponent(data[key]));
        }
        ajax.send(url, callback, 'POST', query.join('&'), async)
    };

    function reloadPage(baseURL, baseURLSuite = ""){
        console.log("DOM initial chargé");
        /*var contenu = document.getElementById('div-that-holds-the-content');
        contenu.innerHTML = '';*/
        console.log(baseURL + baseURLSuite);
        ajax.get('getContent.php', {url: baseURL, urlSuite: baseURLSuite}, function(c) {
            var contenu = document.getElementById('div-that-holds-the-content');
            contenu.innerHTML = '';
            console.log(contenu);
            contenu.innerHTML = c;
            
            try{
                var links = contenu.getElementsByTagName("a");
                console.log(links);
                var it = this;
                for ( var c = 0; c < links.length; c++ ) {
                    console.log(links[c].href);
                    if (links[c].href.indexOf("https://yema.com") === -1 && links[c].href.indexOf("mailto") === -1 && links[c].href.indexOf("yema") !== -1){
                        links[c].addEventListener('click', function(e){
                            var base = "https://intercom.help";
                            console.log(3);
                            e.preventDefault();
                            var getUrl = window.location;
                            var baseUrl = getUrl .protocol + "//" + getUrl.host;
                            var link = this.href.replace(baseUrl, "");
                            console.log("no events");
                            contenu.innerHTML = '';
                            reloadPage(base, link);
                        });
                    }
                }
                console.log("Dom rechargé");
            } catch (e){
               console.log("erreur de chargement");
            }
            
            // for search form
            const form = document.getElementsByClassName('header__form search')[0];
    
            form.addEventListener('submit', function(e){
                e.preventDefault();
                var searchVal = document.getElementsByClassName('search__input')[0].value;
                console.log(searchVal);
                var searchURL = "https://intercom.help/yema/en/?q=" + searchVal;
                
                reloadPage(searchURL, "");
            });
        });
       
    }
    
    window.addEventListener("DOMContentLoaded", (event) => {
        reloadPage("https://intercom.help/yema");
        
        
    });
    
    
    
    
</script>

<style>
    [data-emoji="disappointed"]:before {
        content: '😞' !important;
        height: 50px;
    }
    [data-emoji="neutral_face"]:before {
        content: '😐' !important;
        height: 50px;
    }
    
    [data-emoji="smiley"]:before {
        content: '😃' !important;
        height: 50px;
    }
    
    .intercom-reaction{
     height: 50px !important;   
    }
</style>
<?php

?>